projection not recognized

2008-10-20 02:34 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 11430

Description

While opening a shp with the attached .prjr1, the projection is not recognized, and defaults to the longlat (as defined for the project).

From the shell I get:

Warning: [[QgsCoordinateReferenceSystem]]::getRecord failed :  select * from tbl_srs where parameters='+proj=tmerc

+lat_0=39.66666666666666 +lon_0=-8.131906111111112 +k=1 +x_0=200000 +y_0=300000 +ellps=intl +units=m +no_defs'

Warning: [[QgsCoordinateReferenceSystem]]::findMatchingProj will only work if prj acr ellipsoid acr and proj4string are set!...

Critical: Data source is invalid

r1

PROJCS[[Lisboa_Hayford_Gauss_IGeoE"GEOGCS["GCS_Datum_Lisboa_Hayford"DATUM["D_Datum_Lisboa_Hayford"SPHEROID["

nternational_1924"637838802970]]PRIMEM["Greenwich"00]UNIT["Degree"00174532925199433]]PROJECTION["Transverse_Mercator"]PARAMETER["False_Easting"2000000]PARAMETER["False_Northing"3000000]PARAMETER["Central_Meridian"-813190611

r"]PARAMETER["False_Easting"2000000]PARAMETER["False_Northing"3000000]PARAMETER["Central_Meridian"-8131906111111112]PARAMETER["Scale_Factor"10]PARAMETER["Latitude_Of_Origin"3966666666666666]UNIT["Meter]]

12]PARAMETER["Scale_Factor"10]PARAMETER["Latitude_Of_Origin"3966666666666666]UNIT["Meter]]

History

#1 - 2008-10-20 11:48 AM - Magnus Homann

- Resolution set to duplicate

- Status changed from Open to Closed

This sounds like a duplicate of #418.

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
